package db

import (
	"context"
	"youngee_m_api/model/gorm_model"
	"youngee_m_api/model/http_model"
)

func SelectionReviewNumber(ctx context.Context) (*http_model.ReviewNums, error) {
	var reviewNums int64
	db := GetReadDB(ctx)
	err := db.Model(gorm_model.YounggeeSelectionInfo{}).Where("selection_status = 2").Count(&reviewNums).Error
	if err != nil {
		return nil, err
	}
	ReviewNums := new(http_model.ReviewNums)
	ReviewNums.ReviewNums = reviewNums
	return ReviewNums, err
}
